Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### red()

Examples

    noStroke();
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = red(c);  // Sets "value" to "0"
    fill(value);
    rect(50, 20, 35, 60);

Description

Extracts the red value from a color, scaled to match current colorMode(). This value is always returned as a float so be careful not to assign it to an int value.
The red() function is easy to use and undestand, but is slower than another technique. To achieve the same results when working in colorMode(RGB, 255), but with greater speed, use the >> (right shift) operator with a bit mask. For example, the following two lines of code are equivalent:

    float r1 = red(myColor);
    float r2 = myColor >> 16 & 0xFF;

Syntax

    red(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | green() blue() hue() saturation() brightness() >> (right shift)

Updated on August 30, 2010 04:29:39pm EDT